body {
    margin: 0;
    font-family: sans-serif;
    background-color: #00004b;
}

.color-wrapper {
    background-color: white;
    padding-block: 3rem;
}

.main-wrapper {
    max-width: 1200px;
    margin-inline: auto;
    padding-inline: 1rem;
    text-align:center;
}


header, footer {
    text-align: center;
    color: white;
    background-color: #00004b;
    font-weight: bold;
}

header {
    font-size: 3rem;
    padding-top: 3rem;
    padding-bottom: 2rem;
}

footer {
    padding-block: 2rem;
}

header a, header a:visited {
    text-decoration: none;
}

header a, header a:visited, footer a, footer a:visited {
    color: white;
}

/* HISTORY */

.year {
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 1rem;
    max-width: 768px;
    margin-inline: auto;
}

@media screen and (min-width: 768px) {
    .year {
        grid-template-columns: repeat(3, 1fr);
    }

    .year .month:last-child:nth-child(3n+1) {
        grid-column-start: 2;
    }
}


.calendar {
    display: grid;
    grid-template-columns: repeat(7, 1rem);
    grid-gap: .5rem;
}

.calendar--day {
    width: 1rem;
    aspect-ratio: 1;
    border-radius: 50%;
}

.not_a_day {
    scale: 0.4;
    background-color: #ececec;
}

.month {
    display: grid;
    justify-items: center;
}


/* CURRENT MONTH*/

#current-month td {
    width: 30px;
    height: 30px;
    font-size: small;
    background-color: #ececec;
    vertical-align: middle;
    text-align: center;
    border-radius: 50%;
    border: 1px solid transparent;
}

#current-month table {
    margin-inline: auto;
    border-collapse: separate;
    border-spacing: 1rem;
}

/* #current-month { */
    /* height: 100vh; */
    /* padding-top: 2rem; */
/* } */

#current-month .today {
  scale: 1.4;
  border: 2px solid white;
  outline: 1px solid #808080;
  font-weight: bold;
}

hr {
    margin-block: 2rem;
}

/* PROGRESS */

.counts {
    display: flex;
    justify-content: space-evenly;
    max-width: 400px;
    margin-inline: auto;
    margin-block: 2rem;
    padding-block: 2rem;
    border-top: 2px dashed #808080;
    border-bottom: 2px dashed #808080;
}

.progress {
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    position: relative;
    display: inline-block;
    margin-bottom: 1rem;
}

.progress::after {
    content: "";
    background: white;
    border-radius: 50%;
    width: 3rem;
    height: 3rem;
    display: inline-block;
    scale: 0.8;
    line-height: 3rem;
}

.counts div div:nth-child(2){
    font-weight: bold;
}
/* LOGS */

    table.logs {
        width: 100%;
        border-spacing: 0;
    }

    .logs th, .logs td {
        padding-block: 0.5rem;
    }

    .logs th {
        border-bottom: 2px solid black;
    }

    .logs tbody tr:nth-child(odd) {
        background-color:#ececec;
    }

    .log-date {
        text-align: left;
    }

    @media(max-width: 768px) {
        .logs thead {
            display: none;
        }

        .logs,
        .logs tbody,
        .logs tr,
        .logs td {
            display: block;
            width: 100%;
        }

        .logs tbody tr:nth-child(n) {
            margin-bottom: 1rem;
            text-align: left;
            background-color: white;
            padding-block: 1rem;
        }
        .logs tr:not(:last-child) {
            border-bottom: 2px solid #ececec;
        }
        .logs td {
            background-color: white;
            line-height: 1.3rem;
            padding-block: 0;
        }
        .logs td::before {
            content: attr(data-label) " : ";
            font-weight: bolder;
        }

        .log-date {
            padding-top: 1rem;
            border-top: 3px solid #00004b;
        }
    }

.archive-nav {
    margin-top: 4rem;
    font-size: 1.3rem;
    font-weight: bolder;
    display: flex;
    justify-content: space-evenly;
    width: 400px;
    margin-inline: auto;
}

.archive-nav a, .archive-nav a:focus {
    color: black;
    text-decoration: none;
}

.archives a, .archives a:focus{
    color: black;
    text-decoration: none;
}

.archives-links-container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 1rem;
}

@media(max-width: 768px) {
    .archives-links-container {
        grid-template-columns: repeat(3, 1fr);
    }

}

.archives-link {
    border: 1px solid #00004b;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    font-weight: bold;
}

.archives-link::after {
    font-style: italic;
    font-weight: 300;
    font-size: 0.5rem;
}

.tempo-link::after {
    content: "saison tempo";
}

.civil-link::after {
    content: "année civile";
}
